#pragma once

#include <iostream>
#include <vector>
#include "../math/complex.hh"

namespace ggHiggs {


  // negative bottom/charm mass excludes it from the loop
  extern void initBDV(double higgs_mass, double top_mass = 172.5, double bottom_mass=-1, double charm_mass=-1);


  extern double G2l(double mh, double mt, double mb=-1, double mc=-1); // Harlander's implementation
  extern double G2l(); // checked against Harlander's exact result: OK (this implementation is faster)
  extern double Rgg(double z, double s);
  extern double Rqg(double z, double s);
  extern double Rqqbar(double z, double s);

  extern double Rqqbar(double z, dcomplex mH2, std::vector<double> m);
  extern double Rqg   (double z, dcomplex mH2, std::vector<double> m, double v);
  extern double Rgg   (double z, dcomplex mH2, std::vector<double> m, double v);

};

