#ifndef __ggHiggs__
#define __ggHiggs__

#include "small-x/finite-mt_small-x_coeffs.hh"
#include "PDFs.hh"

using namespace std;



namespace ggHiggs {

  double GetZmass();
  extern double mtop, mtmt;
  extern double mbot; // negative mass means no bottom running in the loop
  extern double mcha; // negative mass means no charm running in the loop
  extern int    order;
  //extern int PDForder;
  extern bool finite_mt;
  extern bool __all_channels__;
  extern SmallxCoeffs *sxc;
  extern double _muF_mu_ratio;
  extern double _muR_muF_ratio;
  extern bool MSbarMass;
  extern bool MSbar;
  extern bool quiet;
  extern double INTEGRAL_PRECISION;


  // actual alphas routine will be provided by the user
  extern double alphas(double mu);

  double alphas_ihixs(double mu, int porder, double as0, double mu0); // alpha_s running from ihixs
  void init_consts(double mH);
  void SetScales(double mH);
  void SetScaleDependence(bool exact_muR=true, bool exact_muF=true);
  double Lum(double tau, double muF);
  double xs_LO_prefactor(double mH);
  double xs_LO_prefactor_EFT();
  void compute(double mH, double sqrts, double LO, double NLO, double NNLO,
	       double *rexact, double *rsoft2=NULL, double *rsoft1=NULL, double *rNsoft=NULL,
	       double *rhighenergy=NULL, double *momconsunc=NULL, double *rhighenergyLL=NULL,
	       double *rsoft0=NULL, double *rsoftAP=NULL, double *rNsoftcoll=NULL, double *rNNLL=NULL, double *rNsoftdFMMV=NULL);
  // interface to LHAPDF
  int pdf_init(string SET_NAME, int SUBSET);

  double deltaEW(double mH, double mt);

  double FO_3_smallx(double z, double mu, int truncation=37);


};


#endif
