#pragma once
#include <cmath>
#include "parameters.hh"


#define Nsample 7
class CoeffFuncts {
private:
  double mH, mb, muF, muR;
  double yukawa_b;
  int _nf;
  double current_z, interpolation_xmin, interpolation_xmax, *sample_z, *sample_conv[Nsample];
  int id_conv, Npoints;
  proc channel;
  //
  void initConvolutions(double xmin);
  double conv_integrand(double x);
  friend double convolution_integrand(double x, void *par);
  double convolution(double z);
  //
  //
public:
  CoeffFuncts(double mh, double mbo, double muf, double mur, int nf, double xmin, int np=200) : mH(mh), mb(mbo), muF(muf), muR(mur), _nf(nf), Npoints(np) { yukawa_b = sqrt(2.)*mbo*vinv; initConvolutions(xmin); };
  //~CoeffFuncts();
  //
  double C2bg_Gamma1bg(double z);
  double C1bg_Gamma2bg(double z);
  double C1bb_Gamma1bg_Gamma1bg(double z);
  double Gamma1bg_Gamma2bg(double z);
  double C1bg_Gamma2bq(double z);
  double C2bq_Gamma1bg(double z);
  double Gamma1bg_Gamma2bq(double z);
  //
  //
};







